Subject: Re: [PATCH] git-svn: fix "Malformed network data" with svn:// servers

From: Eric Wong <[email-masked]>
Date: Fri, 7 Sep 2007 03:07:11 -0700

Eric Wong <[email-masked]> wrote:
> We have a workaround for the reparent function not working
> correctly on the SVN native protocol servers.  This workaround
> opens a new connection (SVN::Ra object) to the new
> URL/directory.
> 
> Since libsvn appears limited to only supporting one connection
> at a time, this workaround invalidates the Git::SVN::Ra object
> that is $self inside gs_fetch_loop_common().  So we need to
> restart that connection once all the fetching is done for each
> loop iteration to be able to run get_log() successfully.
> 
> Signed-off-by: Eric Wong <[email-masked]>

Actually, drop this for now.  Seems to cause the SVN to block
when doing do_switch() again...

-- 
Eric Wong